> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hellopay.com.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all ledger entries

> Retrieves a cursor-paginated list of ledger entries.



## OpenAPI

````yaml /openapi.yaml get /ledger/entries
openapi: 3.0.0
info:
  title: HelloPay API
  description: HelloPay Backend API Documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /ledger/entries:
    get:
      tags:
        - Ledger
      summary: Get all ledger entries
      description: Retrieves a cursor-paginated list of ledger entries.
      operationId: LedgerController_getLedgerEntries
      parameters:
        - name: cursor
          required: false
          in: query
          description: Opaque cursor for the target page
          schema:
            example: >-
              eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9
            type: string
        - name: pageSize
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            default: 10
            example: 10
            type: number
        - name: payinId
          required: false
          in: query
          description: Filter ledger entries by payin ID
          schema:
            example: 550e8400-e29b-41d4-a716-446655440000
            type: string
        - name: payoutId
          required: false
          in: query
          description: Filter ledger entries by payout ID
          schema:
            example: 550e8400-e29b-41d4-a716-446655440000
            type: string
      responses:
        '200':
          description: List of ledger entries with cursor pagination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LedgerEntriesResponseDto'
        '401':
          description: Unauthorized
components:
  schemas:
    LedgerEntriesResponseDto:
      type: object
      properties:
        data:
          description: The data of the ledger entries
          type: array
          items:
            $ref: '#/components/schemas/LedgerEntryResponse'
        pageInfo:
          description: Cursor pagination metadata
          allOf:
            - $ref: '#/components/schemas/CursorPageInfoDto'
      required:
        - data
        - pageInfo
    LedgerEntryResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the ledger entry
        createdAt:
          format: date-time
          type: string
          description: The creation date of the ledger entry
        updatedAt:
          format: date-time
          type: string
          description: The update date of the ledger entry
        amount:
          type: number
          description: The amount of the ledger entry
        currency:
          type: string
          description: The currency of the ledger entry
        reason:
          type: string
          description: The reason of the ledger entry
        preAvailableBalance:
          type: number
          description: The pre available balance of the ledger entry
        postAvailableBalance:
          type: number
          description: The post available balance of the ledger entry
        prePostedBalance:
          type: number
          description: The pre posted balance of the ledger entry
        postPostedBalance:
          type: number
          description: The post posted balance of the ledger entry
        metadata:
          type: object
          description: The metadata of the ledger entry
      required:
        - id
        - createdAt
        - updatedAt
        - amount
        - currency
        - reason
        - preAvailableBalance
        - postAvailableBalance
        - prePostedBalance
        - postPostedBalance
        - metadata
    CursorPageInfoDto:
      type: object
      properties:
        hasNext:
          type: boolean
          description: Whether there is a next page
          example: true
        hasPrevious:
          type: boolean
          description: Whether there is a previous page
          example: false
        nextCursor:
          type: object
          description: Opaque cursor for the next page
          example: >-
            eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9
          nullable: true
        previousCursor:
          type: object
          description: Opaque cursor for the previous page
          example: >-
            eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9
          nullable: true
      required:
        - hasNext
        - hasPrevious

````